
CoCoA - Bug #56

Bug # 53 (Closed): MSVC10 compilation

MSVC10 - unistd.h

07 Dec 2011 09:34 - Anna Maria Bigatti

Status: Closed Start date: 07 Dec 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.0.2 Spent time: 2.00 hours

Description

Is unistd.h only for "unix-like" systems?

There are problems with Visual Studio and other includes are needed instead.

History

#1 - 07 Dec 2011 09:34 - Anna Maria Bigatti

- Category set to Portability

#2 - 07 Dec 2011 10:00 - Anna Maria Bigatti

- Subject changed from MSVC10 compilation - unistd.h to MSVC10 - unistd.h

#3 - 26 Jan 2012 15:13 - Anna Maria Bigatti

- Assignee set to John Abbott

- Target version set to CoCoA-5.0.2

#4 - 26 Jan 2012 16:21 - John Abbott

We removed the include directive for unistd.h from Interpreter.H.

The code compiled fine for us.

We had to add an include directive for boost/thread/condition_variable.hpp for compilation to succeed on MSW.  It is not clear why compilation

succeeded on other platforms.

#5 - 03 Apr 2012 18:53 - John Abbott

- Status changed from New to Closed

- % Done changed from 30 to 100

All references to unistd.h have been removed.  The code now compiles on Windows (as well as Linux & MacOSX).  This issue is now regarded as

resolved/closed, though it has given birth to another issue (#118).

Powered by TCPDF (www.tcpdf.org)

23 Apr 2024 1/1

https://cocoa.dima.unige.it/redmine/issues/118
http://www.tcpdf.org

